Bug 473006 - [Hardware bug] Intel Atom systems panic when booting an x86_64 kernel
Summary: [Hardware bug] Intel Atom systems panic when booting an x86_64 kernel
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 10
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-26 00:36 UTC by Bevis King
Modified: 2009-03-28 14:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-28 14:31:20 UTC


Attachments (Terms of Use)

Description Bevis King 2008-11-26 00:36:57 UTC
Description of problem:
Intel Atom 330 (1.6GHz, Dual-Core, x64_64 architecture) kernel panics while booting from the Fedora 10 DVD install media.

Version-Release number of selected component (if applicable):
Fedora 10 production

How reproducible:
always fails - messages are not always the same

Steps to Reproduce:
1.  Boot from DVD Install Media in external USB DVD-RW drive.
2.  System Panics
  
Actual results:
The following crash appeared on the console (typed in as accurately as possible):

Call Trace:
 [<ffffffff8102befe>] ? change_page_attr_set_clr+0x131/0x1d7
 [<ffffffff8132faf6>] ? printk+0x3c/0x3e
 [<ffffffff81009000>] ? _stext+0x0/0x1000
 [<ffffffff8159d140>] ? early_idt_handler+0x0/0x72
 [<ffffffff8102bfe1>] set_memory_ro+0x13/0x15
 [<ffffffff8102a174>] mark_rodata_ro+0x65/0x79
 [<ffffffff8100a186>] init_post+0x13/0x185
 [<ffffffff8159d75a>] kernel_init+0x20b/0x214
 [<ffffffff81331c7e>] ? trace_hardirqs_on_thunk+0x3a/0x3c
 [<ffffffff810116e9>] child_rip+0xa/0x11
 [<ffffffff81010a07>] ? restore_args+0x0/0x30
 [<ffffffff8159d54f>] ? kernel_init+0x0/0x214
 [<ffffffff810116df>] ? child_rip+0x0/0x11


Code: 25 00 00 00 00 48 89 da 48 87 10 e8 24 e7 00 00 85 c0 74 e3 65 8b 04 25
 00 00 00 00 48 c7 00 00 00 00 00 31 c0 5b 41 5c c9 <55> 48 89 e5 41 55 49 89
 fd 41 54 53 48 89 f3 48 83 ec 08 e8 16
RIP  [<ffffffff81046543>] on_each_cpu+0x0/0x46
 RSP <ffff88007e373e38>
CR2: ffffffff81009000
---[ end trace 22e0cfb81ecd15e8 ]---
Kernel panic - not syncing: Attempted to kill init!

Expected results:
Installer starts up

Additional info:
System contains Promise Fastrak TX4310 SATA controller in the single PCI
slot.  Board is an Intel Atom retail kit with 845 chipset.

Comment 1 Bevis King 2008-11-26 00:46:40 UTC
Also attempted to boot the same system with the two other Linux install media sets that I had lying around:

     Fedora 9 i386 edition (DVD)
     Ubuntu 8.04 x86_64 edition (CD)

Both managed to reach the installer prompts under X Windows on this system without any unexpected issues.  The hardware was unchanged from when Fedora 10 failed to install.

Regards, Bevis.

Comment 2 Dave Jones 2008-11-26 20:16:44 UTC
does it work if you add 'nopat' to the command line before the kernel boots?

Comment 3 Chuck Ebbert 2008-11-26 21:52:35 UTC
This is a hardware bug, update your BIOS.

Comment 4 Bevis King 2008-11-27 22:49:34 UTC
Dave Jones:
I'm attempting to boot it with the nopat option - this does make it extremely slow (> 2 mins to load the kernel from DVD)... right after the message:
Write protecting the kernel read-only data: 4744k

the machine seems to have locked up hard.  No response at all.

Chuck Ebbert:
The firmware revision on the system is 099.  Version 122 is available for download off the intel web site and I'm now trying the BIOS update to 122.

The only non-Windows version of the BIOS update doesn't perform as described in the Intel documentation; it merely reboots shortly after it's supposed to have started the flash upgrade and goes through the normal BIOS banner screen.  No change is made to the BIOS revision at all (at least according to the procedure for checking this on the <F2> Setup BIOS screen.

I guess I'll have to see if I can install enough of Windows to get this working.  Not good.

Thanks for your help so far guys - it is much appreciated.

Regards, Bevis.

Comment 5 Bevis King 2008-11-29 09:30:07 UTC
Update:

Installing Windows XP SP3 also failed completely to allow me to update the BIOS.

Making a floppy disc updater, and attaching a USB floppy drive to the machine, allowed the BIOS to be flashed.  The motherboard has no floppy disc port of it's own.

It is now at BIOS 122 and works perfectly with Fedora 10.

If you have any communication channels to Intel developers, maybe you could let them know that neither the ISOLinux nor the Windows XP version of the LF0122 updater appear to work on the D945GCLF2 motherboard.

Thank you very much for your help.

Regards, Bevis.


Note You need to log in before you can comment on or make changes to this bug.